ERROR : Flash Jetson AGX Xavier : lost connection

10:55:17 ERROR : Flash Jetson AGX Xavier : lost connection
10:57:28 INFO : Flash Jetson AGX Xavier : exit status 255
10:57:28 WARNING : Flash Jetson AGX Xavier : command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh nvidia@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no nvidia@192.168.55.1 “~/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh && rm -f ~/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh” finished with error, but ignored
10:57:28 INFO : Flash Jetson AGX Xavier : exec_command: sleep 20
10:57:48 INFO : Flash Jetson AGX Xavier : exec_command: sudo ./flash.sh jetson-xavier mmcblk0p1
10:57:48 INFO : Flash Jetson AGX Xavier : ###############################################################################
10:57:48 INFO : Flash Jetson AGX Xavier : # L4T BSP Information:
10:57:48 INFO : Flash Jetson AGX Xavier : # R32 (release), REVISION: 1.0, GCID: 14531094, BOARD: t186ref, EABI: aarch64,
10:57:48 INFO : Flash Jetson AGX Xavier : # DATE: Wed Mar 13 07:41:08 UTC 2019
10:57:48 INFO : Flash Jetson AGX Xavier : ###############################################################################
10:57:48 INFO : Flash Jetson AGX Xavier : Error: probing the target board failed.
10:57:48 INFO : Flash Jetson AGX Xavier : Make sure the target board is connected through
10:57:48 INFO : Flash Jetson AGX Xavier : USB port and is in recovery mode.
10:57:48 INFO : Flash Jetson AGX Xavier : exit status 1
10:57:48 INFO : Flash Jetson AGX Xavier : [ Component Install Finished with Error ]
10:57:48 ERROR : Flash Jetson AGX Xavier : NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP command sudo ./flash.sh jetson-xavier mmcblk0p1 finished with error
10:57:48 INFO : Flash Jetson AGX Xavier :
10:57:48 INFO : Flash Jetson AGX Xavier : [ 17.35 MB used. Disk Avail: 843.54 GB ]
10:57:48 INFO : Flash Jetson AGX Xavier : [ NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP Install took 4m42s ]
10:57:48 INFO : Flash Jetson AGX Xavier : command sudo ./flash.sh jetson-xavier mmcblk0p1 finished with error
10:57:48 ERROR : Flash Jetson AGX Xavier : command terminated with error
11:04:02 DEBUG : Flash Jetson AGX Xavier : running command < cd ‘/home/szh/nvidia/nvidia_sdk/JetPack_4.2_Linux_P2888’ ; ‘/opt/nvidia/sdkmanager/resources/app/output/installUtils/adapter’ -a=‘install’ -c=‘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’ -i=‘NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP’ -v=‘32.1’ -l=’/home/szh/nvidia/nvidia_sdk/JetPack_4.2_Linux_P2888’ -L=’/home/szh/.nvsdkm/logs/JetPack_4.2_Linux’ -p=‘12692’ -t=‘P2888’ -e=‘undefined’ >
11:04:02 INFO : Flash Jetson AGX Xavier : [ Disk Avail:843.53 GB ]
11:04:02 INFO : Flash Jetson AGX Xavier : Using GenericInstaller to Install NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP
11:04:02 INFO : Flash Jetson AGX Xavier : change working directory to /home/szh/nvidia/nvidia_sdk/JetPack_4.2_Linux_P2888/Linux_for_Tegra
11:04:02 INFO : Flash Jetson AGX Xavier : [ Component Install Started ]
11:04:02 INFO : Flash Jetson AGX Xavier : current working directory is /home/szh/nvidia/nvidia_sdk/JetPack_4.2_Linux_P2888/Linux_for_Tegra
11:04:02 INFO : Flash Jetson AGX Xavier : exec_command [target]:
11:04:02 INFO : Flash Jetson AGX Xavier : **********************
11:04:02 INFO : Flash Jetson AGX Xavier : #!/bin/bash
11:04:02 INFO : Flash Jetson AGX Xavier : set -e
11:04:02 INFO : Flash Jetson AGX Xavier :
11:04:02 INFO : Flash Jetson AGX Xavier : function safe_apt_install {
11:04:02 INFO : Flash Jetson AGX Xavier : echo “*begin $1, $2”
11:04:02 INFO : Flash Jetson AGX Xavier : tmp_log=/tmp/jetpack_dpkg_log.txt
11:04:02 INFO : Flash Jetson AGX Xavier : sudo rm -f $tmp_log
11:04:02 INFO : Flash Jetson AGX Xavier : set +e; $1 2>&1 | tee tmp_log; CMD_STATUS={PIPESTATUS[0]}; set -e
11:04:02 INFO : Flash Jetson AGX Xavier : while [ ${CMD_STATUS} -ne 0 ]; do
11:04:02 INFO : Flash Jetson AGX Xavier : if grep -q -e “is locked by another process” -e “E: Could not get lock /var/lib” $tmp_log; then
11:04:02 INFO : Flash Jetson AGX Xavier : sudo rm -f $tmp_log
11:04:02 INFO : Flash Jetson AGX Xavier : set +e; $1 2>&1 | tee tmp_log; CMD_STATUS={PIPESTATUS[0]}; set -e
11:04:02 INFO : Flash Jetson AGX Xavier : echo "Waiting 2 seconds for apt to be available"; sleep {2}
11:04:02 INFO : Flash Jetson AGX Xavier : else
11:04:02 INFO : Flash Jetson AGX Xavier : echo “Unhandled error when running $1”; exit 1
11:04:02 INFO : Flash Jetson AGX Xavier : fi
11:04:02 INFO : Flash Jetson AGX Xavier : done
11:04:02 INFO : Flash Jetson AGX Xavier : }
11:04:02 INFO : Flash Jetson AGX Xavier : export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8
11:04:02 INFO : Flash Jetson AGX Xavier : sudo reboot forced-recovery
11:04:02 INFO : Flash Jetson AGX Xavier : **********************
11:04:02 INFO : Flash Jetson AGX Xavier : exec_command: scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh nvidia@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no nvidia@192.168.55.1 “~/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh && rm -f ~/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh”
11:06:12 ERROR : Flash Jetson AGX Xavier : lost connection
11:08:23 INFO : Flash Jetson AGX Xavier : exit status 255
11:08:23 WARNING : Flash Jetson AGX Xavier : command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh nvidia@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no nvidia@192.168.55.1 “~/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh && rm -f ~/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh” finished with error, but ignored
11:08:23 INFO : Flash Jetson AGX Xavier : exec_command: sleep 20
11:08:43 INFO : Flash Jetson AGX Xavier : exec_command: sudo ./flash.sh jetson-xavier mmcblk0p1
11:08:43 INFO : Flash Jetson AGX Xavier : ###############################################################################
11:08:43 INFO : Flash Jetson AGX Xavier : # L4T BSP Information:
11:08:43 INFO : Flash Jetson AGX Xavier : # R32 (release), REVISION: 1.0, GCID: 14531094, BOARD: t186ref, EABI: aarch64,
11:08:43 INFO : Flash Jetson AGX Xavier : # DATE: Wed Mar 13 07:41:08 UTC 2019
11:08:43 INFO : Flash Jetson AGX Xavier : ###############################################################################
11:08:43 INFO : Flash Jetson AGX Xavier : # Target Board Information:
11:08:43 INFO : Flash Jetson AGX Xavier : # Name: jetson-xavier, Board Family: t186ref, SoC: Tegra 194,
11:08:43 INFO : Flash Jetson AGX Xavier : # OpMode: production, Boot Authentication: NS,
11:08:43 INFO : Flash Jetson AGX Xavier : ###############################################################################
11:08:43 INFO : Flash Jetson AGX Xavier : copying soft_fuses(/home/szh/nvidia/nvidia_sdk/JetPack_4.2_Linux_P2888/Linux_for_Tegra/bootloader/t186ref/BCT/tegra194-mb1-soft-fuses-l4t.cfg)… done.
11:08:43 INFO : Flash Jetson AGX Xavier : ./tegraflash.py --chip 0x19 --applet “/home/szh/nvidia/nvidia_sdk/JetPack_4.2_Linux_P2888/Linux_for_Tegra/bootloader/mb1_t194_prod.bin” --skipuid --soft_fuses tegra194-mb1-soft-fuses-l4t.cfg --bins “mb2_applet nvtboot_applet_t194.bin” --cmd “dump eeprom boardinfo cvm.bin;reboot recovery”
11:08:43 ERROR : Flash Jetson AGX Xavier : /usr/bin/env: ‘python’
11:08:43 ERROR : Flash Jetson AGX Xavier : : No such file or directory
11:08:43 INFO : Flash Jetson AGX Xavier : Reading board information failed.
11:08:43 INFO : Flash Jetson AGX Xavier : exit status 1
11:08:43 INFO : Flash Jetson AGX Xavier : [ Component Install Finished with Error ]
11:08:43 ERROR : Flash Jetson AGX Xavier : NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP command sudo ./flash.sh jetson-xavier mmcblk0p1 finished with error
11:08:43 INFO : Flash Jetson AGX Xavier :
11:08:43 INFO : Flash Jetson AGX Xavier : [ 180.00 KB used. Disk Avail: 843.53 GB ]
11:08:43 INFO : Flash Jetson AGX Xavier : [ NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP Install took 4m42s ]
11:08:43 INFO : Flash Jetson AGX Xavier : command sudo ./flash.sh jetson-xavier mmcblk0p1 finished with error
11:08:43 ERROR : Flash Jetson AGX Xavier : command terminated with error
Attachments

Hi,

Could you check if there is already a folder named “Linux_for_Tegra” under your installation path?

If so, could you go into there, put your device to recovery mode and then use command

sudo ./flash jetson-xavier mmcblk0p1

You’re missing the older Python (and possibly others). Try:

sudo apt-get install libgconf-2-4 libcanberra-gtk-module
sudo apt-get install python

(python2 gets installed, whereas only python3 is there by default)

From logs:

11:08:43 ERROR : Flash Jetson AGX Xavier : /usr/bin/env: ‘python’
11:08:43 ERROR : Flash Jetson AGX Xavier : : No such file or directory